<?php

include('config.php');
include('function.php');

date_default_timezone_set('UTC');

define('GX_PATH', realpath(__DIR__.'/'));
define('GX_LIB', GX_PATH.'/lib/');

require 'autoload.php';
require 'countrycodes.php';
new Db();
// $token = getToken();
// $login = login($token);
// echo $login;
// $reqid = getReqId();
// print_r($reqid);
// echo $reqid['requestId'];
// $data = getData($reqid['requestId']);
// $d = $data['view'];
// echo $d;

// $auth = authToken();
// echo $auth['access_token'];
// $data = array(
//     'start_date' => urlencode("2020-08-21"),
//     'end_date' => urlencode("2020-08-21"),
//     'timezone' => "+00:00",
//     "date_segment" => "day",
//     "include_archived" => 0,
//     "limit" => 500
// );
// $res = APIFetch('/statistics/sm', $auth['access_token'], http_build_query($data), "GET");
// print_r($res);

// $q = Db::result("SELECT `id`, `country` FROM `conversions`");
// foreach($q as $k => $v) {
//     $ctr = array_search($v->country, $countrycodes);
//     echo $ctr;

//     Db::update(array(
//         'table' => 'conversions',
//         'id' => $v->id,
//         'key' => array(
//             'country' => $ctr
//         )
//     ));
// }


foreach ( $api as $k => $v ) {
    echo $k;
}